ConcurrentReferenceHashMap.ReferenceType (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.internal.util.collections
Enum ConcurrentReferenceHashMap.ReferenceType

    java.lang.Object
      java.lang.Enum<ConcurrentReferenceHashMap.ReferenceType>
          org.hibernate.internal.util.collections.ConcurrentReferenceHashMap.ReferenceType

All Implemented Interfaces:
  Serializable, Comparable<ConcurrentReferenceHashMap.ReferenceType>

Enclosing class:
  ConcurrentReferenceHashMap<K,V>

    public static enum ConcurrentReferenceHashMap.ReferenceType

extends Enum<ConcurrentReferenceHashMap.ReferenceType>

An option specifying which Java reference type should be used to refer to a key and/or value.

Enum Constant Summary
`SOFT` Indicates a `SoftReference` should be used
`STRONG` Indicates a normal Java strong reference should be used
`WEAK` Indicates a `WeakReference` should be used

Method Summary
`static ConcurrentReferenceHashMap.ReferenceType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ConcurrentReferenceHashMap.ReferenceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STRONG

    public static final ConcurrentReferenceHashMap.ReferenceType STRONG

  Indicates a normal Java strong reference should be used

### WEAK

    public static final ConcurrentReferenceHashMap.ReferenceType WEAK

  Indicates a `WeakReference` should be used

### SOFT

    public static final ConcurrentReferenceHashMap.ReferenceType SOFT

  Indicates a `SoftReference` should be used

Method Detail

### values

    public static ConcurrentReferenceHashMap.ReferenceType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ConcurrentReferenceHashMap.ReferenceType c : ConcurrentReferenceHashMap.ReferenceType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ConcurrentReferenceHashMap.ReferenceType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.